# Macintosh SE Hardware

This is my effort to assemble all the pertinent hardware design
information on the Macintosh SE into a single coherent information
repository.  The goal is to be able to have sufficiently detailed
information to, in theory, reproduce an identical (or nearly so)
physical, functional copy of the Macintosh SE.

However, my primary interest in having this information available is
to have detailed information for studying the Macintosh SE hardware,
and for maintaining existing Macintosh SE computers.

Conventional Macintosh emulator software prioritizes access to
application software without regard to the mechanical and electrical
design of the actual machine itself.  My hope is that this repository
of information will enable the same kind of virtual access to the
hardware as we have to the vintage Macintosh software through the use
of conventional Macintosh emulators.

## What is currently available?

* Replica RTC based off of an AVR microcontroller

* Macintosh 128k PAL logic circuits

* BBU replica work-in-progress

* [Vector graphics hand
  traceover](old_artifacts/schems/retrace_se_mlb_p1.svg) of one page
  of the Macintosh SE schematics

* Replica shipping box designs work-in-progress

There are lots of other independent projects with good pieces of
information out and about on the Macintosh SE.  For the time being,
these are linked from documentation in the repository.  In the event
the project has a potentially insecure future or lacks a durable
storage location, the pertinent information is copied into this
repository.

## See also

Check out the GitHub repository repository with redrawn schematics for
the Macintosh SE/30:

https://github.com/mishimasensei/macse30mlb

Macintosh SE Reloaded, a project to replicate the Macintosh SE Main
Logic Board.

https://github.com/kr239/Macintosh-SE-Reloaded

PLEASE NOTE that the most up-to-date info for this part of the project
is primarily on the 68kMLA forum:

https://68kmla.org/forums/topic/60059-reverse-engineering-the-macintosh-se-pcb-custom-chips-for-11-reproduction/

Compact Macintosh (CRT) Repair Guide:

https://web.archive.org/web/20200107140520/http://www.ccadams.org/se/classicmac2.pdf

Plus Two, a Macintosh Plus FPGA replica that is not nearly so detailed
and true-to-life accurate:

https://www.bigmessowires.com/plus-too/

Enhanced Plus Two for the MiST board, contains a Verilog
implementation of the SCSI and SCC controllers.

https://www.bigmessowires.com/2015/10/22/plus-too-mac-replica-new-progress/  
https://github.com/mist-devel/mist-board/tree/master/cores/plus_too

Apple II disk controller, contains an Verilog implementation of the
IWM.

https://github.com/steve-chamberlin/fpga-disk-controller

## License

Since a primary goal of this project is to assemble historic
information into a coherent repository, as much as possible, new
developments are released into the public domain.  After all, as is
well understood in the vintage computing community, all patents and
copyrights are destined to eventually expire with the passing of
enough time, at which point the covered works cede into the public
domain.

Therefore, if you don't have an interest in exercising any exclusive
rights covered under copyright, you might as well simply declare your
works to enter the public domain early, rather than using a permissive
license or a copyleft license.  For example, the CERN Open Hardware
Licence.

In the event that your jurisdiction does not have the concept of the
public domain, the Creative Commons Public Domain Dedication License
(CC0) is used as a fallback permissive license.
